%def_with gui

%define Name TrueCrypt
Name: truecrypt
Version: 5.1a
Release: alt1
Summary: System for establishing and maintaining an on-the-fly-encrypted volume
Summary(uk_UA.CP1251):       
Summary(ru_RU.CP1251):       
License: TrueCrypt Collective License Version 1.3
Group: File tools
#Group: System/Kernel and hardware
URL: http://www.%name.org
Source: %url/downloads/%name-%version-source.tar.bz2
Patch: %name-5.1a-wx.patch

# Automatically added by buildreq on Thu Mar 27 2008 (-bi)
#BuildRequires: ImageMagick gcc-c++ icoutils libfuse-devel wxGTK-devel

BuildRequires: gcc-c++ libfuse-devel icoutils ImageMagick
%{?_with_gui:BuildRequires: wxGTK-devel}

%description
%Name is a software system for establishing and maintaining an
on-the-fly-encrypted volume (data storage device). On-the-fly
encryption means that data are automatically encrypted or decrypted
right before they are loaded or saved, without any user intervention.
No data stored on an encrypted volume can be read (decrypted) without
using the correct password/keyfile(s) or correct encryption keys.
Entire file system is encrypted (e.g.., file names, folder names,
contents of every file, free space, meta data, etc).
Files can be copied to and from a mounted %Name volume just like
they are copied to/from any normal disk. Files are automatically being
decrypted on-the-fly (in memory/RAM) while they are being read or
copied from an encrypted TrueCrypt volume. Similarly, files that are
being written or copied to the %Name volume are automatically being
encrypted on-the-fly (right before they are written to the disk) in
RAM.


%prep
%setup -n %name-%version-source
%patch -p1


%build
%make_build %{?_without_gui:NOGUI=1}


%install
install -d -m 0755 %buildroot{%_bindir,%_docdir/%name-%version}
install -m 644 "Release/Setup Files"/* %buildroot%_docdir/%name-%version/
install -m 755 Main/%name %buildroot%_bindir/
%if_with gui
for s in 16 24 32 48; do
    install -d -m 0755 %buildroot%_iconsdir/hicolor/${s}x$s/apps
    icotool -x -h $s -w $s -p 0 -o - Common/%Name.ico | convert - %buildroot%_iconsdir/hicolor/${s}x$s/apps/%name.png
done
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%Name
Comment=System for establishing and maintaining an on-the-fly-encrypted volume (data storage device)
Comment[uk]=      
Comment[ru]=      
Exec=%name
Icon=%name.png
Terminal=false
Type=Application
Categories=GTK;Application;System;Filesystem;
StartupNotify=true
__MENU__
%endif


%if_with gui
%post
%update_menus

%postun
%clean_menus
%endif


%files
%_docdir/%name-%version
%_bindir/*
%if_with gui
%_iconsdir/hicolor/*/apps/*
%_desktopdir/*
%endif


%changelog
* Thu Mar 27 2008 Led <led@altlinux.ru> 5.1a-alt1
- 5.1a:
  + fixed x86_64 build
  + fixed segfault on exiting
- replaced build.patch with updated %name-5.1a-wx.patch
- cleaned up Requires
- cleaned up BuildRequires
- fixed License
- added manual and license file
- added icons

* Mon Mar 03 2008 Michail Yakushin <silicium@altlinux.ru> 5.0a-alt1
- 5.0a

* Wed Aug 08 2007 L.A. Kostis <lakostis@altlinux.ru> 4.3a-alt2
- NMU:
  + fix License.
  + add missing Common/Password.h.

* Thu May 17 2007 Led <led@altlinux.ru> 4.3a-alt1
- 4.3a
- cleaned up spec

* Thu Oct 26 2006 Led <led@altlinux.ru> 4.2a-alt2
- fixed Requires

* Fri Sep 22 2006 Led <led@altlinux.ru> 4.2a-alt1
- initial build
